<?xml version="1.0" encoding="UTF-8"?>
<definitions xmlns="http://www.omg.org/spec/BPMN/20100524/MODEL" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:activiti="http://activiti.org/bpmn" xmlns:bpmndi="http://www.omg.org/spec/BPMN/20100524/DI" xmlns:omgdc="http://www.omg.org/spec/DD/20100524/DC" xmlns:omgdi="http://www.omg.org/spec/DD/20100524/DI" typeLanguage="http://www.w3.org/2001/XMLSchema" expressionLanguage="http://www.w3.org/1999/XPath" targetNamespace="sdms">
  <process id="memos" name="memos" isExecutable="true" activiti:candidateStarterGroups="users">
    <startEvent id="startevent1" name="Start"></startEvent>
    <serviceTask id="service-task-01" name="memo Cancel Ivu" activiti:expression="#{memoImpl.cancelIVU(execution)}"></serviceTask>
    <endEvent id="endevent1" name="End"></endEvent>
    <serviceTask id="servicetask1" name="update memo" activiti:expression="#{memoImpl.updateMemo(execution)}"></serviceTask>
    <sequenceFlow id="flow2" sourceRef="service-task-01" targetRef="servicetask1"></sequenceFlow>
    <sequenceFlow id="flow3" sourceRef="servicetask1" targetRef="endevent1"></sequenceFlow>
    <exclusiveGateway id="exclusivegateway1" name="Exclusive Gateway"></exclusiveGateway>
    <sequenceFlow id="flow4" sourceRef="startevent1" targetRef="exclusivegateway1"></sequenceFlow>
    <sequenceFlow id="flow5" sourceRef="exclusivegateway1" targetRef="service-task-01">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[#{memos.memoType.idMemoType == 4}]]></conditionExpression>
    </sequenceFlow>
    <serviceTask id="servicetask2" name="Ganti Unit" activiti:expression="#{memoImpl.gantiUnit(execution)}"></serviceTask>
    <sequenceFlow id="flow6" sourceRef="exclusivegateway1" targetRef="servicetask2">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[#{memos.memoType.idMemoType == 2}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="flow7" sourceRef="servicetask2" targetRef="servicetask1"></sequenceFlow>
  </process>
  <bpmndi:BPMNDiagram id="BPMNDiagram_memos">
    <bpmndi:BPMNPlane bpmnElement="memos" id="BPMNPlane_memos">
      <bpmndi:BPMNShape bpmnElement="startevent1" id="BPMNShape_startevent1">
        <omgdc:Bounds height="35.0" width="35.0" x="30.0" y="320.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="service-task-01" id="BPMNShape_service-task-01">
        <omgdc:Bounds height="60.0" width="100.0" x="270.0" y="308.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="endevent1" id="BPMNShape_endevent1">
        <omgdc:Bounds height="35.0" width="35.0" x="740.0" y="320.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="servicetask1" id="BPMNShape_servicetask1">
        <omgdc:Bounds height="55.0" width="105.0" x="490.0" y="310.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="exclusivegateway1" id="BPMNShape_exclusivegateway1">
        <omgdc:Bounds height="40.0" width="40.0" x="140.0" y="317.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="servicetask2" id="BPMNShape_servicetask2">
        <omgdc:Bounds height="55.0" width="105.0" x="265.0" y="170.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge bpmnElement="flow2" id="BPMNEdge_flow2">
        <omgdi:waypoint x="370.0" y="338.0"></omgdi:waypoint>
        <omgdi:waypoint x="490.0" y="337.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow3" id="BPMNEdge_flow3">
        <omgdi:waypoint x="595.0" y="337.0"></omgdi:waypoint>
        <omgdi:waypoint x="740.0" y="337.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow4" id="BPMNEdge_flow4">
        <omgdi:waypoint x="65.0" y="337.0"></omgdi:waypoint>
        <omgdi:waypoint x="140.0" y="337.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow5" id="BPMNEdge_flow5">
        <omgdi:waypoint x="180.0" y="337.0"></omgdi:waypoint>
        <omgdi:waypoint x="270.0" y="338.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow6" id="BPMNEdge_flow6">
        <omgdi:waypoint x="160.0" y="317.0"></omgdi:waypoint>
        <omgdi:waypoint x="160.0" y="197.0"></omgdi:waypoint>
        <omgdi:waypoint x="265.0" y="197.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow7" id="BPMNEdge_flow7">
        <omgdi:waypoint x="370.0" y="197.0"></omgdi:waypoint>
        <omgdi:waypoint x="542.0" y="197.0"></omgdi:waypoint>
        <omgdi:waypoint x="542.0" y="310.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
    </bpmndi:BPMNPlane>
  </bpmndi:BPMNDiagram>
</definitions>
